* BEGIN MODEL TLV521
*****************************************************************************
* (C) Copyright 2015 Texas Instruments Incorporated. All rights reserved.
*****************************************************************************
** This model is designed as an aid for customers of Texas Instruments.
** TI and its licensors and suppliers make no warranties, either expressed
** or implied, with respect to this model, including the warranties of
** merchantability or fitness for a particular purpose.  The model is
** provided solely on an "as is" basis.  The entire risk as to its quality
** and performance is with the customer.
*****************************************************************************
*
** Released by: WEBENCH(R) Design Center, Texas Instruments Inc.
* 
* Model Version: 1.0
* 
*****************************************************************************
* 
* Updates: 
* 
* Version 1.0 : Release to Web
* 
*****************************************************************************
* 
* Notes: 
* 
*****************************************************************************
* PINOUT ORDER +IN -IN +V -V OUT
* PINOUT ORDER  3   4   5  2  1
.SUBCKT TLV521 3 4 5 2 1
*
* START PROGRAMMING
* MODEL OFFSET IS SET BY V18 BELOW
* THE VALUE OF V18 NOW GIVES THE MODEL AN INPUT
* OFFSET OF 203 MICROVOLTS AT ROOM TEMPERATURE
*
V18 23 44 191E-6
*
* END PROGRAMMING
* START NOTES
* NOTE THAT BECAUSE OF THE VERY LOW INPUT BIAS
* CURRENTS FOR THIS PART STRUCTURES WERE INCLUDED
* TO PREVENT THE SPICE DEFAULT CURRENT ACCURACY
* OPTION FROM RUINING THE IB ACCURACY OF THE MODEL
* THE STRUCTURES REQUIRE THAT YOU NOT CHANGE THE
* SPICE OPTION GMIN FROM THE DEFAULT VALUE OF
* 1E-12   IF YOU SIMULATOR DOES NOT HAVE THAT VALUE
* FOR DEFAULT THEN YOU MUST SET THE OPTION GMIN TO
* A VALUE OF 1E-12
* MODEL FEATURES INCLUDE GAIN AND PHASE, SLEW RATE,
* VOLTAGE NOISE WITH 1/F, CURRENT NOISE, INPUT BIAS
* CURRENT, INPUT BIAS CURRENT CHANGE WITH TEMPERATURE,
* INPUT OFFSET VOLTAGE, INPUT OFFSET VOLTAGE CHANGE
* WITH TEMPERATURE, INPUT OFFSET VOLTAGE TEMPCO,
* COMMON MODE RANGE, CMRR WITH FREQ EFFECTS, PSRR
* WITH FREQ EFFECTS, OUTPUT SWING, OUTPUT CURRENT
* FLOWS THROUGH THE RAILS, OUTPUT CURRENT LIMIT, IQ,
* IQ TEMPCO, IQ CHANGE WITH COMMON MODE VOLTAGE,
* OUTPUT IMPEDANCE, AND CAPACATIVE LOAD EFFECTS.
*
* NOTE THAT MODEL VOLTAGE NOISE TRACKS DATA SHEET UP UNTIL F = 1KHZ.
*
* NOTE DUE TO THE LOW SUPPLY CURRENT (IQ) OF THIS PRODUCT BE AWARE
* THAT RESISTOR CURRENTS FROM LARGE RESISTORS MAY IMPACT TOTAL CIRCUIT
* SUPPLY CURRENT PERFORMANCE.
* END NOTES
Q20 6 7 8 QNL
R3 9 10 2
R4 11 10 2
R10 12 7 100
R11 13 14 100
R12 15 5 2
R13 2 16 2
R17 17 18 2
R18 8 19 2
D5 1 5 DD
D6 2 1 DD
E2 8 0 2 0 1
E3 18 0 5 0 1
E4 20 21 22 0 1.87
G2 23 4 24 0 1.1E-5
E5 25 0 18 26 1
E6 27 0 8 26 1
E7 28 0 29 0 1
R30 25 30 1E6
R31 27 31 1E6
R32 28 32 1E6
R33 0 30 100
R35 0 32 22E3
R36 33 29 1E3
R37 29 34 1E3
C6 25 30 0.2E-12
C7 27 31 0.2E-12
C8 28 32 0.5E-12
E11 35 3 31 0 -0.03U
E12 36 35 30 0 0.03U
E14 26 8 18 8 0.5
D11 37 18 DD
D12 8 37 DD
M1 38 39 16 16 NOUT L=3U W=600U
M2 40 41 15 15 POUT L=3U W=600U
M3 42 42 17 17 POUT L=3U W=600U
M4 43 44 9 9 PIN L=3U W=25U
M5 45 20 11 11 PIN L=3U W=25U
M8 46 46 19 19 NOUT L=3U W=600U
R43 47 48 300
R44 49 50 300
G3 37 26 51 26 1.5E-4
R45 26 37 2.4E8
C13 43 45 25E-12
C14 44 0 9E-12
C15 20 0 9E-12
C16 1 0 7E-12
D13 50 6 DD
D14 52 48 DD
Q15 52 14 18 QPL
M19 53 54 18 18 PIN L=6U W=500U
I14 42 46 50E-9
E17 34 0 23 0 1
E18 33 0 4 0 1
M23 54 54 18 18 PIN L=6U W=500U
V21 53 10 0
R59 1 40 2
R60 38 1 2
J1 55 44 55 JC
J2 55 20 55 JC
J3 20 56 20 JC
J4 44 56 44 JC
C21 44 20 0.5E-12
E20 57 26 45 43 1
R62 57 51 100
C23 51 26 0.5E-12
G7 58 26 59 26 -1E-3
G8 26 60 59 26 1E-3
G9 26 61 46 8 1E-3
G10 62 26 18 42 1E-3
D17 62 58 DD
D18 60 61 DD
R66 58 62 1E11
R67 61 60 1E11
R68 62 18 1E3
R69 8 61 1E3
E23 18 47 18 62 1
E24 49 8 61 8 1
R70 60 26 1E11
R71 61 26 1E11
R72 26 62 1E11
R73 26 58 1E11
C27 41 40 70E-15
C28 38 39 70E-15
R74 2 5 4.8E8
G12 5 2 63 0 -4E-7
I20 0 64 1E-3
D20 64 0 DD
V24 64 63 0.71
R75 0 63 1E6
I21 5 2 227E-9
E25 65 0 1 0 1
G13 59 26 37 26 -1.5E-4
R77 26 59 3.6E8
C29 37 66 36E-12
C30 59 67 144E-12
R78 67 65 1.2E4
R79 66 65 5
R80 37 65 3.24E12
R81 59 65 3E8
D21 59 18 DD
D22 8 59 DD
V52 68 0 1
I63 0 69 1E-3
D23 69 0 DD
R307 0 69 10E6
V81 69 70 1.798
R308 0 70 20E6
E52 71 0 70 0 -0.875
R309 0 71 10E6
R310 72 71 10E6
M52 72 73 0 0 NEN L=2U W=1000U
V141 74 0 1
R311 74 73 1E6
M53 73 68 0 0 NEN L=2U W=100U
R312 0 70 20E6
G14 54 8 72 0 1E-5
D24 75 76 DL
V142 76 0 3
R313 0 75 1E8
G51 4 0 75 0 5.4E-12
I64 4 0 -1E-14
G52 23 0 75 0 5.4E-12
I65 23 0 1E-14
R314 48 41 1
R315 50 39 1
C32 37 65 1E-15
G53 59 26 51 26 6E-4
R316 77 78 2
R317 77 79 2
G54 37 26 80 26 1.5E-4
R322 26 37 1E12
E55 81 26 82 83 1
R323 81 80 100
C34 80 26 0.5E-12
M54 83 44 78 78 NIN L=3U W=25U
M55 82 20 79 79 NIN L=3U W=25U
M56 84 84 8 8 NIN L=6U W=500U
M57 77 84 8 8 NIN L=6U W=500U
M58 85 86 87 87 PIN L=6U W=500U
R324 87 53 6.5E3
V144 18 86 1
G55 59 26 80 26 6E-4
C53 37 18 22.5E-12
C54 59 18 22.5E-12
C55 83 82 25E-12
G61 18 83 18 83 1.5E-2
G62 18 82 18 82 1.5E-2
G63 43 8 43 8 1.5E-2
G64 45 8 45 8 1.5E-2
G65 59 26 32 0 -1.5E-5
V146 18 88 0.6
V147 89 8 0.6
R34 0 22 5E5
R330 0 22 5E5
R331 0 24 1E4
R332 0 24 1E4
R333 3 35 1E9
R334 35 36 1E9
R335 21 20 1E9
R336 8 46 1E12
R337 42 18 1E12
E56 88 55 63 0 1.3
E57 56 89 63 0 1.3
R338 55 88 1E9
R339 89 56 1E9
R341 0 31 100
E58 23 36 63 0 2.24E-4
R342 36 23 1E9
E59 90 8 16 2 11
E60 18 91 5 15 11
E61 13 91 63 0 -0.53
E62 12 90 63 0 0.53
R344 12 8 1E9
R345 13 18 1E9
R346 8 90 1E9
R347 8 90 1E9
R348 18 91 1E9
R349 18 91 1E9
C77 67 65 30E-12
E88 21 4 92 93 1.05
R427 4 21 1E9
D39 92 0 DVN
D40 93 0 DVN
I75 0 92 1E-6
I76 0 93 1E-6
G67 18 23 18 23 -2E-12
G68 23 8 23 8 -2E-12
G69 18 20 18 20 -2E-12
G70 20 8 20 8 -2E-12
R428 84 85 1
G71 2 5 85 84 -0.014
.MODEL DD D
.MODEL DC D IS=1E-13
.MODEL DVN D KF=3E-16 IS=1E-16
.MODEL DIN D
.MODEL DL D IS=0.95E-11 N=1.47 XTI=1.5
.MODEL JC NJF IS=1E-18
.MODEL QNL NPN IS=1E-13 XTI=18
.MODEL QPL PNP IS=1E-13 XTI=18
.MODEL PIN PMOS KP=200U VTO=-0.7
.MODEL NIN NMOS KP=200U VTO=0.7
.MODEL NEN NMOS KP=200U VTO=0.5 IS=1E-18
.MODEL NOUT NMOS(LEVEL=3 PHI=0.7 TOX=2E-8 XJ=5E-7
+ TPG=1 VTO=0.3 DELTA=0.5 LD=1E-7 KP=2E-4 UO=650
+ THETA=0.1 GAMMA=0.05 NSUB=1E17 NFS=3.5E11 FC=0.5
+ VMAX=1E5 ETA=3E-6 KAPPA=10 PB=1 IS=1E-18
.MODEL POUT PMOS LEVEL=3 PHI=0.7 TOX=2E-8 XJ=5E-7
+ TPG=-1 VTO=-0.3 DELTA=0.5 LD=1E-7 KP=2E-4 UO=650
+ THETA=0.1 GAMMA=0.05 NSUB=1E17 NFS=3.5E11 FC=0.5
+ VMAX=1E5 ETA=3E-6 KAPPA=10 PB=1 IS=1E-18
.ENDS
* END MODEL TLV521
